

#    MIDAS Access Client  for the  XAIDAAccess service


package require MIDASAccessClient    ;#   load default support procedures

global MIDAS_XAIDAAccessClient_Exists
set MIDAS_XAIDAAccessClient_Exists 1

global XAIDAAccessServerHost XAIDAAccessServerPort

if {[info exists XAIDAAccessServerHost] == 0} then {set XAIDAAccessServerHost localhost}
if {[info exists XAIDAAccessServerPort] == 0} then {set XAIDAAccessServerPort 8015}


variable uri "urn:XAIDAAccessServer"
variable proxy "http://$XAIDAAccessServerHost:$XAIDAAccessServerPort/XAIDAAccessServer"

set XAIDAAccessServerTimeOut 10000

proc XAIDAAccessClient_Configure {} {
   global XAIDAAccessServerHost XAIDAAccessServerPort
   variable proxy

   set proxy "http://$XAIDAAccessServerHost:$XAIDAAccessServerPort/XAIDAAccessServer"

   foreach method [info procs XAIDAAccessClient__*] {catch {SOAP::configure $method -proxy $proxy}}
}

SOAP::create XAIDAAccessClient__Verbose -proxy $proxy -uri $uri -timeout 1000 \
     -name  AccessServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create XAIDAAccessClient__Get -proxy $proxy -uri $uri -timeout $XAIDAAccessServerTimeOut \
     -name Get \
     -params {Address int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create XAIDAAccessClient__Set -proxy $proxy -uri $uri -timeout $XAIDAAccessServerTimeOut \
     -name Set \
     -params {Address int Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create XAIDAAccessClient__SetBitRegister -proxy $proxy -uri $uri -timeout $XAIDAAccessServerTimeOut \
     -name SetBitRegister \
     -params {Address int Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply



package provide XAIDAAccessClient 1.0
